%global pkg_name jaraco-classes
%global pypi_name jaraco.classes

%bcond_with doc

Summary:        Utility functions for Python class constructs
Name:           python-%{pkg_name}
Version:        3.3.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.classes
Source0:        %{pypi_source %{pypi_name}}

BuildArch:      noarch
 
%description
This package provides utility functions for Python class constructs.

%package -n python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(more-itertools)
Requires:       python3-jaraco
Requires:       python3dist(six)
Provides:       python3-%{pkg_name} = %{version}-%{release}

%description -n python3-%{pkg_name}
This package provides utility functions for Python3 class constructs.

%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        jaraco-classes documentation

BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(jaraco-packaging) >= 3.2
BuildRequires:  python3dist(rst-linker) >= 1.9

%description -n python-%{pkg_name}-doc
This package provides documentation for jaraco-classes.
%endif

%prep
%autosetup -n jaraco.classes-%{version}
# disable flake8 tests
sed -i 's/ --flake8//' pytest.ini
sed -i 's/ --black//' pytest.ini
sed -i 's/ --cov//' pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=${PWD} sphinx-build-3 docs html

rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%check
%pytest

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/classes
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%if %{with docs}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc html
%endif

%changelog
* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 3.3.0-1
- upgrade to 3.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 3.2.3-1
- package init.
